#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    long long r, k;cin>>r>>k;
    if(r==1||k==1)
        cout << max(r,k);
    else{
        long long res = 2*(r+k)-4+(r-2)*(k-2)/2;
        cout << res;
    }
    return 0;}